TITLE "Run test on test520a, 34-group model, index maximizing, cmi=D01, rehab = Other";


/* Change path */
%let path = C:\Data\rug3\v5_20\testdata\;
LIBNAME rug520 "&path";
OPTIONS pageno=1;

/*Reads SAS data set test520a and outputs new test520a_34 dta set with 34-group RUG-III 
     results included.*/
DATA rug520.test520a_34;
   SET rug520.test520a;
   
   *Set parameters;
   sModel = '34';
   sRehabType = 'Other';
   iQuarterlyFlag = 1;
   ARRAY nCmiArray(58);
   *Use CMI set D01;
   %INCLUDE 'C:\Data\rug3\v5_20\testdata\d01_cmi.sas'; 

   *Include RUG-III classification code;
   %INCLUDE 'C:\Data\rug3\v5_20\testdata\rug520.sas'; 

IF iError = 0 THEN
DO;
   *Load outputs based on parameters; 
   rug34_cmi_set = 'D01';

   *Load and format other outputs;
   rug34_version = SRugsVersion;
   rug34_hr = sRugHier;
   rug34_mx = sRugMax;
   rug34_cmi_hr = put(nCmiValueHier,10.4);
   rug34_cmi_mx = put(nCmiValueMax,10.4);
   adlsum = put(iAdlSum,2.0);
   cpssum = put(iCpsCode,1.0);
END;
 
   DROP
sRugsVersion
nCmiValueHier
nCmiValueMax
sModel
sRehabType
iQuarterlyFlag
nCmiArray1
nCmiArray2
nCmiArray3
nCmiArray4
nCmiArray5
nCmiArray6
nCmiArray7
nCmiArray8
nCmiArray9
nCmiArray10
nCmiArray11
nCmiArray12
nCmiArray13
nCmiArray14
nCmiArray15
nCmiArray16
nCmiArray17
nCmiArray18
nCmiArray19
nCmiArray20
nCmiArray21
nCmiArray22
nCmiArray23
nCmiArray24
nCmiArray25
nCmiArray26
nCmiArray27
nCmiArray28
nCmiArray29
nCmiArray30
nCmiArray31
nCmiArray32
nCmiArray33
nCmiArray34
nCmiArray35
nCmiArray36
nCmiArray37
nCmiArray38
nCmiArray39
nCmiArray40
nCmiArray41
nCmiArray42
nCmiArray43
nCmiArray44
nCmiArray45
nCmiArray46
nCmiArray47
nCmiArray48
nCmiArray49
nCmiArray50
nCmiArray51
nCmiArray52
nCmiArray53
nCmiArray54
nCmiArray55
nCmiArray56
nCmiArray57
nCmiArray58
i
sRugHier
sRugMax
nRugHier
nRugMax
n_reh_u
n_reh_v
n_reh_h
n_reh_m
n_reh_l
n_ext
n_spec
n_clin
n_impair
n_behav
iAdlSum
n_th_min
n_th_ty3
n_th_ty5
n_th_day
n_nrsum6
n_nrsum2
n_depres
iCpsCode
n_ext_ct
n_no
n_bedmb
n_trans
n_toilt
n_intake
n_eatng
n_t1c
n_t1d
n_ulcer
n_sk_tr
n_n_awak
n_coma
n_p7
n_p8
n_mood
n_cog1
n_cog2
   ;

RUN;
